# TIFFPrintDirectory

Section: Misc. Reference Manual Pages (3T)
Updated: December 12, 1991
Index
Return to Main Contents

## NAME

TIFFPrintDirectory - print a description of a TIFF directory

## SYNOPSIS

#include <tiffio.h>
void TIFFPrintDirectory(TIFF* tif, FILE* fd, long flags)

## DESCRIPTION

TIFFPrintDirectory prints a description of the current directory in the specified TIFF file to the standard I/O output stream fd. The flags parameter is used to control the level of detail of the printed information; it is a bit-or of the flags defined in tiffio.h:

    #define TIFFPRINT_NONE          0x0     /* no extra info */
    #define TIFFPRINT_STRIPS        0x1     /* strips/tiles info */
    #define TIFFPRINT_CURVES        0x2     /* color/gray response curves */
    #define TIFFPRINT_COLORMAP      0x4     /* colormap */
    #define TIFFPRINT_JPEGQTABLES   0x100   /* JPEG Q matrices */
    #define TIFFPRINT_JPEGACTABLES  0x200   /* JPEG AC tables */
    #define TIFFPRINT_JPEGDCTABLES  0x200   /* JPEG DC tables */

## NOTES

In C++ the flags parameter defaults to 0.

## RETURN VALUES

None.

## DIAGNOSTICS

None.

## SEE ALSO

libtiff(3T), TIFFOpen(3T), TIFFReadDirectory(3T), TIFFSetDirectory(3T)

## Index

NAME
SYNOPSIS
DESCRIPTION
NOTES
RETURN VALUES
DIAGNOSTICS
SEE ALSO

This document was created by man2html, using the manual pages.
Time: 01:31:37 GMT, November 23, 1999